org.apache.ignite.internal.visor.cache

## Class VisorCacheQueryDetailMetrics

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheQueryDetailMetrics

All Implemented Interfaces:
  Serializable

    public class VisorCacheQueryDetailMetrics
    extends Object
    implements Serializable

Data transfer object for cache query detail metrics.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheQueryDetailMetrics()`

### Method Summary

Methods
`VisorCacheQueryDetailMetrics` `from(QueryDetailMetrics m)`
`double` `getAverageTime()`
`String` `getCache()`
`int` `getCompletions()`
`int` `getExecutions()`
`int` `getFailures()`
`long` `getLastStartTime()`
`long` `getMaximumTime()`
`long` `getMinimumTime()`
`String` `getQuery()`
`String` `getQueryType()`
`long` `getTotalTime()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheQueryDetailMetrics

    public VisorCacheQueryDetailMetrics()

### Method Detail

#### from

    public VisorCacheQueryDetailMetrics from(QueryDetailMetrics m)

Parameters:
  `m` - Cache query metrics.
Returns:
  Data transfer object for given cache metrics.

#### getQueryType

    public String getQueryType()

Returns:
  Query type

#### getQuery

    public String getQuery()

Returns:
  Query type

#### getCache

    public String getCache()

Returns:
  Cache name where query was executed.

#### getExecutions

    public int getExecutions()

Returns:
  Number of executions.

#### getCompletions

    public int getCompletions()

Returns:
  Number of completed executions.

#### getFailures

    public int getFailures()

Returns:
  Total number of times a query execution failed.

#### getMinimumTime

    public long getMinimumTime()

Returns:
  Minimum execution time of query.

#### getMaximumTime

    public long getMaximumTime()

Returns:
  Maximum execution time of query.

#### getAverageTime

    public double getAverageTime()

Returns:
  Average execution time of query.

#### getTotalTime

    public long getTotalTime()

Returns:
  Total time of all query executions.

#### getLastStartTime

    public long getLastStartTime()

Returns:
  Latest time query was stared.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017